Summary: Tools for ethernet bridging
Name: bridge-utils
Version: 1.5
Release: r0.0
License: GPLv2
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: sysfsutils
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: update-alternatives-opkg
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+19
Requires(post): update-alternatives-opkg
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+19
Requires(postun): update-alternatives-opkg
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Suggests: kernel-module-bridge
Provides: /usr/sbin/brctl
Provides: elf(buildid) = fb7126ad58a728d7123497908f0001aeb1b00e8a

%description
Tools for ethernet bridging.

%package -n bridge-utils-dbg
Summary: Tools for ethernet bridging - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: bridge-utils = 1.5-r0.0

%description -n bridge-utils-dbg
Tools for ethernet bridging.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n bridge-utils-staticdev
Summary: Tools for ethernet bridging - Development files (Static Libraries)
Group: devel
Requires: bridge-utils-dev = 1.5-r0.0

%description -n bridge-utils-staticdev
Tools for ethernet bridging.  This package contains static libraries for
software development.

%package -n bridge-utils-dev
Summary: Tools for ethernet bridging - Development files
Group: devel
Requires: bridge-utils = 1.5-r0.0
Suggests: sysfsutils-dev
Suggests: update-alternatives-opkg-dev
Suggests: libc6-dev

%description -n bridge-utils-dev
Tools for ethernet bridging.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n bridge-utils-doc
Summary: Tools for ethernet bridging - Documentation files
Group: doc

%description -n bridge-utils-doc
Tools for ethernet bridging.  This package contains documentation.

%package -n bridge-utils-locale
Summary: Tools for ethernet bridging
Group: console/network

%description -n bridge-utils-locale
Tools for ethernet bridging.

%post
# bridge-utils - postinst
#!/bin/sh
	update-alternatives --install /usr/sbin/brctl brctl /usr/sbin/brctl.bridge-utils 100


%postun
# bridge-utils - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  brctl /usr/sbin/brctl.bridge-utils
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/network"
%dir "/etc/network/if-pre-up.d"
%dir "/etc/network/if-post-down.d"
%dir "/usr/sbin"
%dir "/usr/share"
"/usr/sbin/brctl.bridge-utils"
%dir "/usr/share/bridge-utils"

%files -n bridge-utils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/sbin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/bridge-utils"
%dir "/usr/src/debug/bridge-utils/1.5-r0"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge.h"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_private.h"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_if.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_devif.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_misc.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_init.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl_disp.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl_cmd.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl.h"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/brctl.bridge-utils"

%files -n bridge-utils-dev
%defattr(-,-,-,-)

%files -n bridge-utils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/brctl.8"

